<?php
/*************************************************************************
UPDATE FGW FORM METADATA
*************************************************************************/

/*************************************************************************
LOCATE AND INCLUDE TNG LIBRARY FILES
*************************************************************************/
include 'fgw_lib.php';
include 'fgw_logger.php';
include 'version.php';

// PROTECT SCRIPT AGAINST DIRECT ACCESS
if( empty( $_POST ) || !is_array( $_POST ) ) {
	@session_start();
	$_SESSION['fgw_alert'] = 3;
	header( 'Location:fgw_alert.php' );
	exit;
}

// GET FGW LANGUAGE SUPPORT FOR RETURN MESSAGE
include( $fgw_language.'/text.php' );

// GET POSTED DATA
foreach( $_POST as $key => $value ) {
    ${$key} = fgw_sanitize_recursive( $value );
}
//eliminate need for prefixes
$familyID = fgw_format_id( 'F', $familyID );
$husbID = fgw_format_id( 'I', $husbID );
$wifeID = fgw_format_id( 'I', $wifeID );

if( empty( $formID ) ) {
    echo "No formID selected for update";
    exit;
}
// CONSTRUCT QUERY AND UPDATE RECORD
if( empty( $merged ) ) $merged = 0;
if( empty( $closed) ) $closed = 0;
// ALLOW ADMIN TO ADD/EDIT WORKSHEET TITLE - added in v43
if( empty( $description ) ) $description='';
$description = htmlspecialchars($description, ENT_QUOTES | ENT_HTML5);
//echo $description;exit;
$query = "UPDATE {$options['table']}
    set merged='$merged', closed='$closed',
    familyID='$familyID', husbID='$husbID', wifeID='$wifeID',
	 description='$description'
    WHERE formID='$formID'";
$affrows = db_update( $query );

	$logstring = "fgw#$formID {$text['ws_admin_status']} {$text['ws_updatedby']}";
	fgw_writelog( $options['userlog'], $logstring, $options['max_loglines'] );

echo $text['ws_worksheet'],' ',$formID,' ',$text['ws_updated'];