<?php

//PREVENT DIRECT ACCESS TO THIS SCRIPT
if( count(get_included_files()) == 1 ) {
	@session_start();
	$_SESSION['fgw_alert'] = 3;
	header( 'Location:fgw_alert.php' );
	exit;
}

function fgw_writelog( $userlog, $logstring, $max_loglines ) {
global $time_offset;

	include 'fgw_language.php';

	@session_start();
	if( empty( $_SESSION['currentuser'] ) ) {
		$currentuser = $text['ws_unknown'];
		$alert = false;
	}
	else {
		$currentuser = $_SESSION['currentuser'];
		$alert = true;
	}

	$updated = date ("D d M Y h:i:s A", time() + ( 3600 * $time_offset ) );
	if( $alert ) {
		$updated = "<span class='alert'>".$updated;
	}

	$log_data = "<?php /*\n" . $updated . " $logstring $currentuser, ip {$_SERVER['REMOTE_ADDR']} ($language)";
	if( $alert ) {
		$log_data .= '</span>';
	}
	if( !file_exists( $userlog ) ) {
		if( !fgw_create_userlog( $userlog ) ) {
			die( $text['ws_nolog_err'] );
		}
	}

	$lines = file( $userlog );
	array_shift( $lines ); // get rid of opening php tag line  ### error when file not created
	array_pop ( $lines ); // get rid of closing php tag line  ### error when file not created
	while( $max_loglines && sizeof( $lines ) >= $max_loglines ) {
		array_pop( $lines ); // remove excessive lines from bottom of file
	}
	array_unshift( $lines, "$log_data\n" ); // add new line to top of item list  ### error - no file
	array_push( $lines, "*/" ); // close log entries as comment
//echo __LINE__,' ';print_r($userlog);exit;
	$fp = @fopen( $userlog, "w" );
	if( !$fp ) { die ( $text['ws_openlog_err'] ); }

	flock( $fp, LOCK_EX );
	$linecount = 0;
	foreach ( $lines as $line ) {
		trim( $line );
		if( $line )
			@fwrite( $fp, $line );
	}
	//	flock( $fp, LOCK_UN );
	fclose( $fp );
}

function fgw_create_userlog ( $userlog ) {
	$content = "<?php /*\n*/";
	return file_put_contents( $userlog, $content );
}