<?php
include ("../help_lib.php" );
echo help_header("Help: Gezinswerkblad");
?>
<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
		</p>
		<span class="largeheader">Help: Gezinswerkblad</span>
		<p class="smaller menu">
			<a href="#general" class="lightlink">Algemeen</a> &nbsp; | &nbsp;
			<a href="#head " class="lightlink">Gezinshoofden</a> &nbsp; | &nbsp;
            <a href="#marriage" class="lightlink">Huwelijk</a> &nbsp; | &nbsp;
			<a href="#children" class="lightlink">Kinderen</a> &nbsp; | &nbsp;
            <a href="#notes" class="lightlink">Aantekeningen</a> &nbsp; | &nbsp;
            <a href="#credits" class="lightlink">Vermelding</a>&nbsp; | &nbsp;
            <a href="#submit" class="lightlink">Inzenden</a>&nbsp;
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<a name="general"><p class="subheadbold">Algemeen</p></a>
        <p>Gebruik dit formulier om familie informatie aan te leveren voor de stamboom op deze website. Het is niet verplicht om alle velden in te vullen, vul alleen de informatie in die u bekend is. Om het formulier te kunnen opsturen moeten er minstens twee personen (die een directe relatie hebben) ingevuld zijn. Dit kan een rechtstreekse of een aangetrouwde relatie zijn.  &Eacute;&eacute;n van de hoofdpersonen moet a) in de stamboom voorkomen of b) als kind voorkomen in een Gezinswerkblad wat u al eerder heeft opgestuurd. Wilt u een compleet nieuwe tak aan de stamboom toevoegen? Dan is dat ook mogelijk, maar neem dan even contact op met de beheerder van deze website. </p>
        <p>Als u reeds een gezinswerkblad heeft opgestuurd, mag u dat altijd corrigeren en opnieuw opsturen als dit nodig mocht zijn. Als er op het gezinsblad kinderen voorkomen zal er rechts naast het kind een icoon verschijnen. Als u op het icoon klikt zal er en nieuw gezinswerkblad worden geopend met het kind als hoofd van het nieuwe gezin. De informatie van het reeds ingevoerde kind zal in dit nieuwe gezinswerkblad worden overgenomen.</p>
    </td>
</tr>
<tr class="databack">
	<td class="tngshadow">
        <p style="float:right"><a href="#top">Top</a></p>
		<a name="head"><p class="subheadbold">Gezinshoofden</p></a>
        <p>Standaard worden de hoofden van een familie getoond als man en vrouw. Via het pijltje rechts naast de titel echtgenoot of echtgenote kunt u het geslacht veranderen. Als het geslacht is gewijzigd zullen sommige veldnamen in het gezinsblad automatisch mee wijzigen.</p>
        
        <span class="optionhead">Persoons ID</span>
        <p>Het persoons ID is een uniek identificatie nummer wat aan iedere persoon in de database is gekoppeld. Als u een nieuw gezinsblad invult moet het minstens een persoon bevatten als hoofd van de familie die in de database voorkomt, anders weten we niet hoe deze persoon of personen aan de stamboom te koppelen. Dus zoek eerst in de database de juiste persoon op en noteer het nummer wat u in het veld Persoon-ID ziet (Let op: dit nummer begint altijd met de letter I.) en vul dit nummer in in het juiste veld op het gezinsblad.</p>

		<span class="optionhead">Voor en Achternaam</span>
        <p>Voornamen kunnen meerdere voornamenen, titel en/of een roepnaam bevatten, bijvoorbeeld: Dr. Edward Peter Jacobus (Ed).  Achternamen kunnen voorvoegsels (van den) en eventueel een toevoeging bevatten (Jr. of Sr). </p>
        <p>Vul de voor en achternamen in van de familiehoofden, hun ouders en/of hun kinderen. De velden lijken kort maar kunnen veel informatie bevatten en opslaan.</p>

		<span class="optionhead">Datums en Plaatsen</span>
        <p>Let alstublieft op het datum formaat en het formaat van de plaatsnamen. De datums mogen uitsluitend in het Europeese formaat worden ingevoerd, dus dd-mm-jjjj. Als u de datum goed invoert voorkomt dat verwarring en een vertraging in de plaatsing van de gegevens van de stamboom op de website.</p>
        <p>Plaatsnamen worden op de volgende manier ingevoerd: Plaats, Gemeente, Provincie, Land. Echter kan het voorkomen dat u niet alle informatie heeft of dat deze niet bekend is, voer dan gewoon in wat u wel weet.</p>
		
		</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="marriage"><p class="subheadbold">Huwelijk</p></a>
		<p>Hier kunt u informatie invoeren over een persoons huwelijk en/of scheiding.</p> 
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Top</a></p>
		<a name="children"><p class="subheadbold">Kinderen</p></a>
        <p>U kunt meer dan &eacute;&eacute;n kind invullen door op de plus ('+') knop te klikken. Om een kind weer weg te halen moet u op de min ('-') knop klikken. De laatste lijn kan niet worden verwijderd, door op de min knop te klikken verwijderd u alleen de informatie van het kind.</p>
 		<span class="optionhead">Voornaam</span>
        <p>Een kind moet een voornaam hebben ingevuld, anders wordt de informatie niet geaccepteerd. Als u de voornaam niet weet, vul dan een vraagteken ('?') in.</p>
 		<span class="optionhead">Achternaam</span>
        <p>De achternaam van de vader wordt standaard gehanteerd voor ieder kind in dit werkblad, maar u kunt het hier aanpassen, indien nodig.</p>
        <span class="optionhead">Datum en plaats</span>
        <p>Datum en plaats moeten worden ingevuld als is uitgelegd onder de paragraaf <strong>Gezinshoofden</strong></p>
        <span class="optionhead">Levend</span>
        <p>Het wordt standaard aangenomen dat de kinderen nog leven. Als u zeker weet dat het kind overleden is kunt u het vinkje bij Levend weghalen.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Top</a></p>
		<a name="notes"><p class="subheadbold">Aantekeningen</p></a>
        <p>Gebruik dit veld om aanvullende informatie te geven zoals het beroep van de persoon, adressen waar deze persoon gewoond heeft, inclusief een begin en/of eind datum, gegevens over de opleiding, militaire dienst, de geboorte datum en plaats van de ouders, indien van toepassing de overlijdens en/of begraaf/crematiedatum en de plaats waar dit is gebeurd. Ook eventuele bronnen kunnen hier vermeld worden.</p>
	</td>
</tr>

<tr class="databack">
	<td class="tngshadow">
		<p style="float:right"><a href="#top">Top</a></p>
		<a name="credits"><p class="subheadbold">Vermelding</p></a>
        <p>We willen altijd iedereen bedanken die informatie aan deze website heeft aangeleverd. Echter technisch gezien bent u echter nooit een bron zoals bijvoorbeeld een doopakte. De standaard waarde die hier ingevuld is, is slechts een suggestie. U kunt dit naar eigen inzicht aanpassen, als het mogelijk is ook met de relatie van uzelf met de ingestuurde familie gegevens.</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Top</a></p>
		<a name="submit"><p class="subheadbold">Inzenden</p></a>
        <p>Voor u het ingevulde gezinsblad opstuurt: controleer dan of het vinkje bij email een kopie aan mezelf aanstaat als u zelf ook een kopie van de gegevens wilt ontvangen. Wanneer u op deze knop klikt zal het formulier onine op de website worden opgeslagen. U kunt daarna gewoon doorgaan met het aanspassen van het formulier en opnieuw op de knop drukken. Iedere keer dat u op de knop drukt krijgt de webmaster een email met daarin een link naar uw werkblad op de website. Ook u krijgt een mail waarin een (beveiligde) link staat. ALs u op deze link klikt kunt u het formulier weer online inzien en voor zover mogelijk aanpassen. Na enkele dagen/weken zal de beheerder het formulier afsluiten. Daarna kunt het niet meer inzien of aanpassen. Het formulier wordt afgesloten nadat deze is beoordeeld en de aanpassingen off-line zijn verwerkt. Periodiek (enkele dagen) wordt de informatie op de site door de beheerder bijgewerkt met de off-line database van het genealogisch onderzoek.</p>
	</td>
</tr>
<tr class="databack">
</table>
</body>
</html>