<?php $langver="v9.0.0.2"; $langrev="14 Mar 2012";
/***************************************************************
Family Group Worksheet: GermanTranslations
 by Graham Chamberlain, "Chamberlain and Eidenbenz Genealogy", 
 http://www.katiandgraham.com/genealogy/ 
***************************************************************/
/*************************************************************************
TITLES -- ENGLISH LANGUAGE TEXT
*************************************************************************/
$text['ws_worksheet'] = "Arbeitsblatt";
$text['ws_title_children'] = strtoupper($text['children']);
/*************************************************************************
FIELD LABELS
*************************************************************************/
$text['ws_select_tree'] = "Bitte Stammbaum auswählen";
$text['ws_familytree'] = "Stammbaum";
$text['ws_personid'] = $text['personid'];
$text['ws_prefix'] = $text['prefix'];
$text['ws_firstname'] = $text['firstname'];
$text['ws_lastname'] = $text['lastname'];
$text['ws_suffix'] = $text['suffix'];
$text['ws_living'] = "Lebend";
$text['ws_nickname'] = "Spitzname";
$text['ws_name'] = $text['name'];
$text['ws_father'] = $text['father'];
$text['ws_mother'] = $text['mother'];
$text['ws_his_name'] = "Sein Name";
$text['ws_his_father'] = "Sein Vater";
$text['ws_his_mother'] = "Seine Mutter";
$text['ws_her_name'] = "Ihr Name";
$text['ws_her_father'] = "Ihr Vater";
$text['ws_her_mother'] = "Ihre Mutter";
$text['ws_date'] = $text['date'];
$text['ws_ph_date'] = $tngconfig['preferEuro'] == "false" ? "MM/TT/JJJJ" : "TT/MM/JJJJ";
$text['ws_place'] = $text['place'];
$text['ws_ph_place'] = "Stadt, Kreis, Bundesland, Staat";
$text['ws_born'] = $text['born'];
$text['ws_chr'] = $text['christened'];
$text['ws_died'] = $text['died'];
$text['ws_buried'] = $text['buried'];
$text['ws_lds_place'] = "Name des LDS Tempels oder 5-Buchstaben LDS Tempel Code";
$text['ws_baptizedlds'] = $text['baptizedlds'];
$text['ws_confirmedlds'] = "Confirmed (LDS)";
$text['ws_initiatorylds'] = "Initiatory (LDS)";
$text['ws_endowedlds'] = $text['endowedlds'];
$text['ws_sealedplds'] = "Sealed to parents (LDS)";
$text['ws_married'] = $text['married'];
$text['ws_divorced'] = $text['divorced'];
$text['ws_sealedslds'] = "sealed to spouse (LDS)";
$text['ws_sex'] = "Geschlecht";
$text['ws_yourname'] = "Ihr Name";
$text['ws_city'] = "Stadt";
$text['ws_state'] = "Bundesland";
$text['ws_country'] = "Staat";
$text['ws_email'] = "E-Mail";
$text['ws_form'] = "Formular";
$text['ws_title_notes'] = "HINWEIS: Verwenden Sie diesen Raum, um zusätzliche Informationen über die Eltern oder Kinder (Beruf, Religion, ...) anzugeben";
$text['ws_relationship'] = "Bitte geben Sie Ihre Beziehung zu der Familie an, die Sie einreichen";
$text['ws_title_credits'] ="Wie möchten Sie zitiert werden für das Einreichen dieser Informationen?";
/*************************************************************************
LIST VALUES
*************************************************************************/
$text['ws_title_husband'] = "Ehemann";
$text['ws_title_wife'] = "Ehefrau";
$text['ws_title_partner'] ="Partner";
$text['ws_male'] = "M";
$text['ws_female'] = "W";
$text['ws_sexunk'] = "U";
/*************************************************************************
INFO & INSTRUCTIONS
*************************************************************************/
$text['ws_welcome'] = $text['welcome'];
$text['ws_intro'] = "Das Arbeitsblatt hilft dabei, Informationen über eine einzige Familie zur Vorlage an den Administrator zusammenzustellen und die Informationen in den Stammbaum zu übernehmen. Bitte füllen Sie so viele Formulare aus, wie Sie benötigen. Wenn Sie einen Fehler gemacht haben, können Sie ihn berichtigen und das Formular erneut senden, aber bitte erläutern Sie dann die Änderungen im Feld Hinweise.";
$text['ws_qm_info'] = "Klicken Sie hier für weitere Informationen";
$text['ws_personid_help'] = "Wenn diese Person bereits in unserem Stammbaum existiert, können Sie die Personen-ID eingeben, um deren Daten anzuzeigen. Wir haben in das Formular bereits vorhandene Daten eintragen, die Sie bei Bedarf auch ändern können.";
$text['ws_ph_addchild'] = "Neue Zeile für zusätzliche Kinder einfügen";
$text['ws_ph_removechild'] = "Entfernen einer vorher erzeugten Zeile für Kinder";
$text['ws_children_help'] = "Sie müssen den Vornamen eines Kindes eintragen. Wenn Sie diesen nicht wissen, geben Sie ein Fragezeichen in das Feld Vorname ein. Ein Klick auf das PLUS Zeichen fügt eine neue leere Zeile ein, wenn die vorhergehende Zeile nicht leer ist. Ein Klick auf MINUS löscht die Zeile des letzten Kindes. Wenn nur eine Zeile übrig bleibt, werden die Felder in dieser Zeile gelöscht.";

// added  for FGW v9008
$text['ws_new'] = "Neues";
$text['ws_newform_msg'] = "Nachdem Sie dieses Formular gesendet haben, klicken Sie hier, um ein neues Formular mit diesem Kind als Elternteil zu erzeugen.";
$text['ws_newform'] = "Erstellen Sie ein neues Formular mit diesem Kind als Elternteil.";

$text['ws_required'] = "Erforderliche Felder";
/*************************************************************************
ERROR & STATUS MESSAGES
*************************************************************************/
$text['ws_sent_msg'] = "Vielen Dank für das Zusenden Ihre Familiengruppen Arbeitsblattes. Eine Kopie wurde Ihnen per E-Mail zugeschickt, wenn Sie darum gebeten hatten.";
$text['ws_need_email'] = "Das Formular kann ohne Ihren Namen und Ihre gültige E-Mail-Adresse nicht abgesendet werden.";
$text['ws_err_nofam'] = "Das Formular kann nicht eingereicht werden. Sie müssen eine Familiengruppe, bestehend aus mindestens zwei miteinander verwandten Personen einreichen.";
$text['ws_err_nodata'] = "Das Formular kann nicht eingereicht werden. Sie müssen mehr als nur einen Namen eingeben.";
$text['ws_sent'] = "Dieses Material wurde dem Administrator von $sitename ($tngdomain) für die Aufnahme in unseren Stammbaum vorgelegt. Der Administrator kann Sie für weitere Informationen oder Quellendokumentation kontaktieren.";
$text['ws_notsent'] = "Beim Senden Ihrer E-Mail ist ein Fehler aufgetreten. Bitte überprüfen Sie das Formular und senden Sie es noch einmal. Sollte das Problem immer noch bestehen bleiben, benachrichtigen sie bitte den Administrator.";
$text['ws_noscript'] = "Diese Seite verwendet Javascript und wird ohne aktivieretes Javascript nicht richtig funktionieren. Entweder unterstützt Ihr Browser kein Javascript oder Sie haben es ausgeschaltet. Bitte benutzen Sie einen Browser mit aktiviertem Javascript oder benutzen Sie unser Kontaktformular, um Ihre Familieninformationen zu übermitteln.";
$text['ws_contactus'] = $text['contactus'];
$text['ws_emptyline'] = "Vor dem Erstellen einer neuen Zeile müssen Sie die letzte leere Zeile verwenden.";
/*************************************************************************
LINKS & CONTROLS
*************************************************************************/
$text['ws_linkname'] = "Einreichen Familie";
$text['ws_formhelp'] = "Hilfe für dieses Formular";
$text['ws_clearform'] = "Formular löschen";
$text['ws_submit'] = "Einreichen";
$text['ws_emailme'] = "E-Mail Kopie an mich";
$text['ws_send'] = "Senden";
/*************************************************************************
ADDITIONAL LANGUAGE FOR MESSAGES
*************************************************************************/
$text['ws_author'] = "Autor";
$text['ws_submitted_to'] = "Eingereicht bei";
$text['ws_login'] = $text['login'];
$text['ws_user'] = $text['user'];
$text['ws_notes'] = $text['notes'];
$text['ws_credit'] = "Danksagung";
$text['ws_deceased'] = "verstorben";
$text['ws_visited'] = "besucht";
$text['ws_submitted'] = "eingereicht";
$text['ws_relationship'] = "Verwandtschaft";
/*************************************************************************
UPDATE FOR V10
*************************************************************************/
$text['ws_insertinfo'] = "Legen Sie Informationen zur Person mit dieser ID";
$text['ws_clearinfo'] = "Klare Informationen für diese Person";
$text['ws_newtree'] ="Ändern der Baum werden alle Daten aus dem Formular löschen Sind Sie sicher?";
$text['ws_nochanges'] = "!gab es keine Veränderungen auf diese Daten wurde nichts an den Administrator gesendet.";
$text['ws_noinfo'] ="Form scheint nicht nützliche Informationen enthalten!";
$text['ws_save'] = 'Speichern Arbeitsblatt';
$text['ws_thanks'] = "Vielen Dank für die Übermittlung Ihrer Daten für die Aufnahme ".
"in unserer Familiengeschichte. Eine Bestätigungsmail wird Ihnen in Kürze zugesandt. ".
"Buchen Sie Ihre Daten auf der Website kann mehrere Tage dauern. Wenn wir Fragen haben ".
"Wir werden Sie an der E-Mail-Adresse, die Sie mit diesem Formular zu kontaktieren.".
"\n\nDie Korrekturen und Ergänzungen sind immer willkommen.".
"\n\n";
$text['ws_link'] = "Link zu Ihrer eingereichten Familiengruppe Arbeitsblatt";
$text['ws_temple'] = "tempel";
$text['ws_nolog_err'] = "Kann Benutzer-Log zu erstellen. Prüfen
    dass die Schreibrechte für Ordner und Skripte FGW gewährt.";
$text['ws_openlog_err'] = "kann nicht geöffnet werden Benutzerprotokoll";
$text['ws_unknown'] = "[unbekannt]";
$text['ws_nolibs_err'] = "Abbruch TNG Bibliotheksdateien nicht gefunden!";
$text['ws_saved'] = "Ihr Arbeitsblatt wurde gespeichert! Sie können weiter bearbeiten, wenn Sie möchten.";
$text['ws_update'] = 'Update';
$text['ws_merged'] = 'verschmolzen';
$text['ws_closed'] = 'geschlossen';
$text['ws_familyid'] = 'Familie-ID';
$text['ws_husbandid'] = 'Mann-ID';
$text['ws_wifeid'] = 'Frau-ID';
$text['ws_activeonly'] = 'nur aktiv';
$text['ws_prev'] = 'Zurück';
$text['ws_next'] = 'Weiter';
$text['ws_searchbyid'] = 'Suche nach ID';
$text['ws_delete'] = 'Arbeitsblatt löschen';
$text['ws_results'] = 'Eingereicht Arbeitsblätter';
$text['ws_click'] = 'Klicken Sie auf Element, um es auszuwählen';
$text['ws_nomatch'] = 'Keine passenden Datensätze gefunden';
$text['ws_returnto'] = 'Zurück zur';
$text['ws_Newws'] = 'Neues Arbeitsblatt';
// Neue für V10
$text['ws_mergedata'] = 'Zusammenführen von Daten';
$text['ws_baptized'] = 'getauft';
$text['ws_confirmed'] = 'Bestätigt';
$text['ws_initiatory'] = 'Initiations';
$text['ws_endowed'] = 'begabt';
$text['ws_sealedp'] = 'für Eltern Sealed';
$text['ws_sealeds'] = 'Gatte Sealed';
$text['ws_firstnames'] = 'Vorname(n)';
$text['ws_savesubmit'] = 'Speichern und Senden Arbeitsblatt';
$text['ws_updatestatus'] = 'Status aktualisieren';
$text['ws_atbirth'] = 'bei der Geburt';

$text['ws_updated'] = "Status wurde aktualisiert!";
$text['ws_home'] = 'Home';
$text['ws_notification'] = 'Wichtige Mitteilung';
$text['ws_notfound'] = "konnte nicht gefunden werden Sie das Formular angefordert.
         Bitte beachten Sie, dass Sie die richtige ID und der Schlüssel.";
$text['ws_closed_info'] = "Dieses Formular wurde vom Administrator gesperrt.
         Vielen Dank für die Übermittlung Ihrer Familiengeschichte für die Aufnahme
         in der Website.";
$text['ws_noauth'] = "Dieser Stammbaum wurde durch den Administrator beschlagnahmt worden.
         Wenn Sie glauben, dass dies in Fehler, kontaktieren Sie bitte den Website-Administrator.";
$text['ws_badkey'] = "Der Schlüssel ist ungültig für dieses Arbeitsblatt!
         Bitte überprüfen Sie, dass Sie es richtig eingegeben haben.";
$text['ws_notree'] = "Dieses Arbeitsblatt nicht identifizieren einen Stammbaum.
         Bitte wenden Sie sich an den Administrator.";
$text['ws_questions'] = "Wenn Sie Fragen haben, kontaktieren Sie bitte den Website-Administrator";
$text['ws_no_table'] = "Die FGW Arbeitsblatt Tabelle nicht erstellt wurde! Bitte füllen Sie das Familiengruppe Arbeitsblatt Setup.";
$text['ws_no_upgrade'] = "Die FGW Arbeitsblatt Tabelle nicht aktualisiert wurde! Bitte füllen Sie das Familiengruppe Arbeitsblatt Setup."; 
/*************************************************************************
NEW FOR V10.0.0.10 MERGE
*************************************************************************/
$text['ws_fgw'] = "Familienblatt ";
$text['ws_title'] = $text['title'];
$text['ws_dateborn'] = "Datum geboren";
$text['ws_placeborn'] = "Ort geboren";
$text['ws_datedied'] = "Date gestorben";
$text['ws_placedied'] = "Platz gestorben";
$text['ws_spouse'] = "Ehepartner";
$text['ws_getform'] = "Person existiert in der Datenbank: Form zu erhalten.";
$text['ws_fgwupdate'] = "Update Arbeitsblatt";
$text['ws_previewmerge'] = "Vorschau Druck";
?>