<?php
// PROTECT SCRIPT AGAINST DIRECT ACCESS
if( empty( $_POST ) || !is_array( $_POST ) ) {
	@session_start();
	$_SESSION['fgw_alert'] = 3;
	header( 'Location:fgw_alert.php' );
	exit;
}
if( !isset( $_POST['personID'] ) ) {
	header('Location:notfound');
}
/************************************************************************
RETURNS PERSONAL DATA IN XML FORMAT PER AJAX REQUEST
	requested when user enters value in FGW personID field
*************************************************************************/
/************************************************************************
ENHANCED INITIALIZATION: Safely open script from TNG root or from subdirectory
************************************************************************/
//Essential for proper rendering of special chars in supported languages//
@session_start();
$thecharset = $_SESSION['session_charset'];
header("Content-Type:text/html; charset=$thecharset");
ini_set( 'default_charset', $thecharset );

include 'fgw_lib.php';
include 'user_config.php';

$hide_lds = empty( $options['hide_lds'] ) ? false : true;
$allow_lds = $_SESSION['allow_lds'];
/*************************************************************************/
// remove query elements from $_GET array
if( !empty( $_POST ) ) {
  foreach( $_POST as $key => $value ) {
      ${$key} = trim( $value );
  }
}

if( !empty( $personID ) ) {
	$personID = fgw_format_id( 'I', $personID );
	$query = "SELECT ID from $people_table WHERE personID='$personID'";
	$rows = db_select( $query );
	if( !count($rows) ) {
		return;
	}
}

${$role} = fgw_fetch_spouse_datapack( $gedcom, $personID );
//print_r( ${$role}); exit;
if( $role == 'husb' ) {
  fgw_show_spouse( 'husb', $husb, $husb );
}
else
  fgw_show_spouse( 'wife', $wife, $wife );
?>