<?php
// PROTECT SCRIPT AGAINST DIRECT ACCESS
@session_start();
if( empty( $_SESSION['fgw_alert'] ) ) {
	$_SESSION['fgw_alert'] = 3;
	header( 'Location:fgw_alert.php' );
	exit;
}
include 'fgw_lib.php';
include 'fgw_header.php';

foreach( $options as $key => $value )
    ${$key} = $value;

foreach( $_GET as $key => $value ) {
    ${$key} = $value;
}

if( empty( $_SESSION['fgw_alert'] ) ) {
	header('location:fgw.php');
	exit;
}
else {
	$msgno = $_SESSION['fgw_alert'];
	unset( $_SESSION['fgw_alert'] );
}
// include language file from FGW folder or default to English with correct charset
if( !file_exists( $fgw_language.'/text.php') ) {
    $fgw_language = 'English';
    $fgw_language .= $_SESSION['session_charset'] == 'UTF-8' ? '-UTF8' : '';
}
include( $fgw_language.'/text.php' );

$title = $text['ws_fgw'];
$icon = 'img/families.gif';

# following overrides default styles at runtime
$opstyles = "<!--
.fgw_container {\n";
	if( !empty( $options['form_background'] ) )
		$opstyles .= "	background-color:{$options['form_background']};\n";

	if( !empty( $options['form_bgimg'] ) )
		$opstyles .= "	background-img:url( {$options['form_bgimg']} );\n";
		
	if( !empty( $options['form_border'] ) )
		$opstyles .= "	border:{$options['form_border']};\n";
		
	if( !empty( $options['form_text_color'] ) )
		$opstyles .= "	color:{$options['form_text_color']};\n";

	if( !empty( $options['form_subhead_color'] ) ) 
		$opstyles .= ".fgw_container .fgwheader {
		color:{$options['form_heading_color']}\n";

	if( !empty( $options['form_text_bold']) )	 
		$opstyles .= "	font-weight:bold;\n";		
		
$opstyles .= "}
.fgwheader {\n";
	if( !empty( $options['form_heading_color'] ) ) {
		$opstyles .= "	color:{$options['form_heading_color']};\n";
	} 
$opstyles .= "}\n
-->";	

// flags for various TNG configurations
$flags['scripting'] = "
<link rel=\"stylesheet\" href=\"css/fgw_style.css\" />
<style type=\"text/css\">
$opstyles
</style>";

//include 'fgw_header.php';
fgw_header( $title, $flags );

// page title
echo "
<h1 class=\"header fgwheader \">
    <img src='$icon' width='20' height='20' alt='' style='vertical-align:-2px' />
    $title
    <br clear=\"all\" />
</h1>
";
// default message For public view
if( empty( $_SESSION['fgw_superuser'] ) ) {
	//$msgno = -1;
}

// More detailed for superuser
switch ( $msgno ) {
   case '1':
      $msg = $text['ws_notfound'];
      break;
   case '2':
      $msg = $text['ws_closed_info'];
      break;
   case '3':
      $msg = $text['ws_noauth'];
      break;
   case '4':
      $msg = $text['ws_badkey'];
      break;
   case '6':
      $msg = $text['ws_no_table'];
      break;
   case '7':
      $msg = $text['ws_no_upgrade'];
      break;
	case '8':
		$msg = $text['ws_no_gedcom'];
		break;
	case '9':
		$msg = $text['ws_nolibs_err'];
		break;
	default:
		$msg = $text['ws_problem'];
		break;
}

echo "
<div class=\"fgw_container\">
    <h2>{$text['ws_oops']}</h2>
    <div class=\"msgbox\">
    <span style=\"font-size:120%;\">$msg</span>
    </div>";

if( empty($_SESSION['fgw_superuser'] ) ) {
	echo"
    <br />
    <div style=\"text-align:left;\">
        {$text['ws_questions']} <a
        href=\"../suggest.php?page=Family+Group+Worksheet\" title='Click here to leave a message'  target='_top'>
            <img style=\"padding-left:.5em;\" src=\"img/email.png\" width=\"20\" alt=''/>
        </a>
    </div>";
}
echo "
    <br /><br />
    <form action=\"../index.php\" method=\"post\" target='_top'>
    <input type=\"submit\" value=\"{$text['ws_home']}\" />
    </form>
</div>
</body>
</html>";

