<?php $userlog = "userlog.php";
 /*************************************************************************
Webmaster utility to view Family Group Worksheet users' log. You must be logged in with admin privileges.  
**************************************************************************/
/************************************************************************
ENHANCED INITIALIZATION: Safely open script from TNG root or from subdirectory
************************************************************************/
//include 'fgw_start.php';
//include 'fgw_header.php';
require 'fgw_header.php';
include 'version.php';

@session_start();
$superuser = !empty( $_SESSION['fgw_superuser'] ) ? 1 : 0;

// PREVENT ACCESS TO UNAUTHORIZED USERS
if( !$superuser ) {
	$_SESSION['fgw_alert'] = 3;
	header( 'Location:fgw_alert.php' );
    exit;
}

$language = $_SESSION['session_language'];
include( "$language/su_text.php" );

/*************************************************************************
CLEAR LOG
*************************************************************************/
if( !empty( $_POST['clearlog'] ) ){
    if( file_exists( $userlog ) ) {
        $output = "<?php /*
*/ ?>
";
    file_put_contents( $userlog, $output );
    }
}
/*************************************************************************
HTML HEADER
*************************************************************************/
$flags['scripting'] = "
	<script>
		<!--
		function verify_submit(msg) {
		    return confirm(msg);
		}
		//-->
	</script>";

fgw_header( 'User Log', $flags, $script=false );

/*************************************************************************
PAGE CONTENT
*************************************************************************/
echo "<div style=\"width:900px; margin-left:auto; margin-right:auto; padding:2em; color: black; background-color:#fffffa;\">
	<form style=\"display:inline;\" method=\"post\" action=\"{$_SERVER['PHP_SELF']}\" onsubmit=\"return verify_submit('{$text['su_conf_clearlog']}');\" >
		<input type=\"submit\" name=\"clearlog\" value=\"{$text['su_clearlog']}\" />
	</form>
	<h2 style=\"color:teal;\">{$text['su_apptitle']} {$text['su_user_log']}</h2>
";
if( file_exists( $userlog ) ) {
    $llines = file( $userlog );
    array_shift( $llines );
    array_pop( $llines );
    foreach( $llines as $lline )
        echo "
		$lline<br />";
}
/*************************************************************************
FORM FOOTER *
*************************************************************************/
$module_name = pathinfo( __FILE__, PATHINFO_FILENAME );

echo "
	<br />
	<small><i>$module_name ver $version, rev $revdate</i></small>
</div>
</body>
</html>";
?>
